Bug 13639 - [FR] /var/run, /etc/logrotate.d macros
: [FR] /var/run, /etc/logrotate.d macros
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/librpm)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-12-08 21:12 by
Modified: 2009-06-06 23:42 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-12-08 21:12:40
Время от времени приходится городить всякие некрасивые %_var/run или
%_sysconfdir/logrotate.d; возможно ли сделать %_runtimedir (или $_pidfiledir?)
и
%_logrotatedir?
------- Comment #1 From 2009-04-17 02:18:48 -------
Давайте до кучи сделаем макросы и для остальных часто используемых каталогов.
------- Comment #2 From 2009-04-17 09:52:46 -------
У меня часто ещё:
%_datadir/applications/%name.desktop
%_datadir/apps/%name/locale (переводы у QT приложений)
------- Comment #3 From 2009-04-17 09:58:32 -------
(В ответ на комментарий №2)
> У меня часто ещё:
> %_datadir/applications/%name.desktop

Для этого есть %_desktopdir (См. bug #8767)
------- Comment #4 From 2009-04-19 01:02:55 -------
rpm-4.0.4-alt98.4 -> sisyphus:

* Sat Apr 18 2009 Dmitry V. Levin <ldv@altlinux> 4.0.4-alt98.4

- rpm.8: Fixed typo (closes: #19356).
- platform.in: Added macros: %_logrotatedir, %_runtimedir (closes: #13639).
- Dropped deprecated RPMTAG_RHNPLATFORM support.
- Dropped unused RPMTAG_PLATFORM support.
- rpmVersionCompare(): Added handling of omitted tags.
- rpmevrcmp: Changed to use rpmVersionCompare() instead of rpmEVRcmp().
- 0common-files.req.list: Added /etc/X11/wms-methods.d (Igor Vlasenko).
------- Comment #5 From 2009-06-06 23:42:26 -------
(In reply to comment #4)
> - platform.in: Added macros: %_logrotatedir, %_runtimedir (closes: #13639).
Спасибо!